## org.apache.batik.css.engine.value.svg
Class ColorInterpolationFiltersManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.IdentifierManager
                  org.apache.batik.css.engine.value.svg.ColorInterpolationManager
                      org.apache.batik.css.engine.value.svg.ColorInterpolationFiltersManager

All Implemented Interfaces:
  ValueManager

public class ColorInterpolationFiltersManager
extends ColorInterpolationManager

This class provides a manager for the 'color-interpolation' property values.

Field Summary

Fields inherited from class org.apache.batik.css.engine.value.svg.ColorInterpolationManager
`values`

Constructor Summary
`ColorInterpolationFiltersManager()`

Method Summary
`Value` `getDefaultValue()` Implements `ValueManager.getDefaultValue()`.
`java.lang.String` `getPropertyName()` Implements `ValueManager.getPropertyName()`.

Methods inherited from class org.apache.batik.css.engine.value.svg.ColorInterpolationManager
`getIdentifiers, isInheritedProperty`

Methods inherited from class org.apache.batik.css.engine.value.IdentifierManager
`createStringValue, createValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueManager
`computeValue, createFloatValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorInterpolationFiltersManager

    public ColorInterpolationFiltersManager()

Method Detail

### getPropertyName

    public java.lang.String getPropertyName()

  Implements `ValueManager.getPropertyName()`.

  Specified by:
    `getPropertyName` in interface `ValueManager`
  Overrides:
    `getPropertyName` in class `ColorInterpolationManager`

### getDefaultValue

    public Value getDefaultValue()

  Implements `ValueManager.getDefaultValue()`.

  Specified by:
    `getDefaultValue` in interface `ValueManager`
  Overrides:
    `getDefaultValue` in class `ColorInterpolationManager`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.